# List imports

> Retrieve a paginated list of import jobs.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/imports`

Retrieves the collection of Import resources.

Returns a paginated collection of the import jobs of the current tenant. Filter by `status`, `type` or `id[]`, and sort by `createdAt`, `updatedAt`, `status`, `type` or `format`. Requires the `imports:read` scope.

## Query parameters

| Name               | Type       | Required | Description                                                                                                                                                                                                                                                                          |
| ------------------ | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `page`             | `integer`  | -        | The collection page number                                                                                                                                                                                                                                                           |
| `itemsPerPage`     | `integer`  | -        | The number of items per page                                                                                                                                                                                                                                                         |
| `properties[]`     | `string[]` | -        | Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty} |
| `id[]`             | `string[]` | -        | Only the items with one of these ids, each a UUID or the item IRI.                                                                                                                                                                                                                   |
| `status`           | `string`   | -        | Import status                                                                                                                                                                                                                                                                        |
| `status[]`         | `string[]` | -        | Import status                                                                                                                                                                                                                                                                        |
| `type`             | `string`   | -        | Import type                                                                                                                                                                                                                                                                          |
| `type[]`           | `string[]` | -        | Import type                                                                                                                                                                                                                                                                          |
| `order[createdAt]` | `string`   | -        | Import order[createdAt]                                                                                                                                                                                                                                                              |
| `order[updatedAt]` | `string`   | -        | Import order[updatedAt]                                                                                                                                                                                                                                                              |
| `order[status]`    | `string`   | -        | Import order[status]                                                                                                                                                                                                                                                                 |
| `order[type]`      | `string`   | -        | Import order[type]                                                                                                                                                                                                                                                                   |
| `order[format]`    | `string`   | -        | Import order[format]                                                                                                                                                                                                                                                                 |

## Response

**200** - Import collection

| Property     | Type       | Required | Description |
| ------------ | ---------- | -------- | ----------- |
| `search`     | `object`   | -        |             |
| `totalItems` | `integer`  | -        |             |
| `view`       | `object`   | -        |             |
| `member`     | `Import[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more permissions required for this operation.

| Property             | Type               | Required | Description                                                                                                            |
| -------------------- | ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------- |
| `@context`           | `string \| object` | -        |                                                                                                                        |
| `@id`                | `string`           | Yes      |                                                                                                                        |
| `@type`              | `string`           | Yes      |                                                                                                                        |
| `detail`             | `string`           | -        |                                                                                                                        |
| `missingPermissions` | `string[]`         | -        | Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission. |
| `status`             | `integer`          | -        |                                                                                                                        |
| `title`              | `string`           | -        |                                                                                                                        |
| `type`               | `string`           | -        |                                                                                                                        |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/imports' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: 2026-07' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "search": {
    "@type": "string",
    "mapping": [
      {
        "@type": "string",
        "property": "string",
        "required": true,
        "variable": "string"
      }
    ],
    "template": "string",
    "variableRepresentation": "string"
  },
  "totalItems": 0,
  "view": {
    "@id": "string",
    "@type": "string",
    "first": "string",
    "last": "string",
    "next": "string",
    "previous": "string"
  },
  "member": [
    {
      "@context": "string",
      "@id": "string",
      "@type": "Import",
      "createdAt": "2026-01-15T10:00:00+00:00",
      "format": "csv",
      "id": "019af93e-420e-79f8-800b-6680f03dce20",
      "metadata": {},
      "report": {
        "error": "string",
        "errors": [
          {
            "line": 0,
            "messages": [
              "string"
            ]
          }
        ],
        "failed": 0,
        "imported": 0,
        "reset": {},
        "totalRows": 0
      },
      "status": "pending",
      "type": "collections",
      "updatedAt": "2026-01-15T10:00:00+00:00"
    }
  ]
}
```
